<?php 
/** 
 * @package RESPONSIVIZER::SOURCES::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?>
<div>
	<h5>Template settings</h5>
	Clicking on first three icons of control panel you get access to <span class="bold">different settings area</span> of Responsivizer about template, plugins and slideshow module.
	Template settings let you control every single aspect about <span class="bold">appereance and behavior</span> of your mobile site. 
	Settings are grouped by tabs.
	
	<br/>
	Using template settings you have fine grained control on <span class="bold">mobile site appeareance and functionalities</span>:
	<ul>
		<li>Enable <span class="bold">accordion</span> to save space on page</li>
		<li>Manage <span class="bold">Google Analytics</span> code</li>
		<li>Setup main <span class="bold">blocks dimensions</span> for site, modules and content area</li>
		<li>Switch easily between available <span class="bold">predefined themes</span></li>
		<li>Mix <span class="bold">colors combinations</span> as you prefer</li>
		<li>Mix <span class="bold">fonts combinations</span> as you prefer also using Google fonts</li>
		<li>Control <span class="bold">menus appeareance and behavior</span> for mobile devices</li>
		<li>Choose to include <span class="bold">social icons</span> and links</li>
	</ul> 
	<br/>
	<img src="components/com_responsivizer/images/documentation/template_settings.jpg" alt="template settings"/>
	
	<br/>
	<h5>Plugins settings</h5>
	Using plugins settings you can control the way that <span class="bold">template switcher</span> works and enable features:
	<ul>
		<li><span class="bold">Enable/disable template switcher</span> and choose to use Responsivizer also for desktop users</li>
		<li>Enable <span class="bold">offline cache</span></li>
		<li>Show <span class="bold">template switcher on page</span> to get desktop version of site and choose different template to be used for mobile other than predefined</li>
		<li>Enable image compression and optimization to save bandwidth</li>
		<li>Enable <span class="bold">custom home page</span> for mobile users</li>
	</ul> 
	<br/>
	<img src="components/com_responsivizer/images/documentation/plugins_settings.jpg" alt="template settings"/>
	
	<br/>
	<h5>Slideshow settings</h5>
	With slideshow settings you can use the <span class="bold">embedded slideshow module</span> feature supporting touch and mobile in an easy way:
	<ul>
		<li>Control every single aspect of slideshow appereance and behavior</li>
		<li>Add, select, remove and reorder using drag and drop the slideshow images</li>
	</ul> 
	<br/>
	<img src="components/com_responsivizer/images/documentation/slideshow_settings.jpg" alt="template settings"/>
	
</div>
