<?php
/**
 * @author Joomla! Extensions Store
 * @package RESPONSIVIZER::TEMPLATEDISPLAY::templates::responsivizer
 * @subpackage css
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html
 */
define('_JEXEC', 1);
defined('_JEXEC') or die;

header ( "Content-type: text/css" );
if (isset ( $_GET ['general_background'] )) {
	$general_background = $_GET ['general_background'];
}

if (isset ( $_GET ['font'] )) {
	$font = $_GET ['font'];
}

if (isset ( $_GET ['font_content'] )) {
	$font_content = $_GET ['font_content'];
}

if (isset ( $_GET ['width'] )) {
	$width = $_GET ['width'];
}

if (isset ( $_GET ['width_threshold'] )) {
	$width_threshold = $_GET ['width_threshold'];
}

if (isset ( $_GET ['width_left'] )) {
	$width_left = $_GET ['width_left'];
}

if (isset ( $_GET ['width_right'] )) {
	$width_right = $_GET ['width_right'];
}

if (isset ( $_GET ['width_menutop'] )) {
	$width_menutop = $_GET ['width_menutop'];
}

if (isset ( $_GET ['width_menubottom'] )) {
	$width_menubottom = $_GET ['width_menubottom'];
}

if (isset ( $_GET ['width_copyright'] )) {
	$width_copyright = $_GET ['width_copyright'];
}

if (isset ( $_GET ['menuitem_width'] )) {
	$menuitem_width = $_GET ['menuitem_width'];
}

if (isset ( $_GET ['menuitem_vertical_padding'] )) {
	$mivp = $_GET ['menuitem_vertical_padding'];
}

if (isset ( $_GET ['menuitem_horizontal_padding'] )) {
	$mihp = $_GET ['menuitem_horizontal_padding'];
}

if (isset ( $_GET ['submenuitem_splacement'] )) {
	$submenuitem_splacement = $_GET ['submenuitem_splacement'];
}

if (isset ( $_GET ['menutext_alignment'] )) {
	$menutext_alignment = $_GET ['menutext_alignment'];
}

if (isset ( $_GET ['submenu_open_mode'] )) {
	$submenu_open_mode = $_GET ['submenu_open_mode'];
}

if (isset ( $_GET ['switcher_menutype'] ) && $_GET ['switcher_menutype'] == 'dropdown') {
	$switcher_menutype_increment = 15;
}

$switcher_menutype = $_GET ['switcher_menutype'];

$transition_menu = $_GET ['transition_menu'];

// Color themes mapping
$colorsThemeMappings = array('black'=>array('#333', 'white-20.png'),
							 'blue'=>array('#333', 'white-40.png'),
							 'gray'=>array('#333', 'white-40.png'),
							 'green'=>array('#333', 'white-40.png'));
?>

/**	Dynamic fonts style	**/
h1, .componentheading, h2.contentheading, .blog-featured h2 {
	font-family: '<?php echo $font ; ?>', 'Open Sans';
}

ul.menu li a, ul.menu ul li a, ul.menu li span.separator {
font-family: '<?php echo $font ; ?>', 'Open Sans';
	padding: <?php echo $mivp;?>px <?php echo $mihp;?>px <?php echo $mivp;?>px <?php echo $mihp;?>px;
}

.top h3, .bottom h3, .left_column h3, .right-module-position h3, .user1 h3, .user2 h3, .user3 h3, 
.user4 h3, .user5 h3, .user6 h3 {
	font-family: '<?php echo $font ; ?>', 'Open Sans';
}

.submenu li a, .submenu li span.separator {
	font-family: '<?php echo $font ; ?>', 'Open Sans';
}

.top_menu {
	width: <?php echo $width_menutop;?>%;
}

.bottom_menu {
	width: <?php echo $width_menubottom;?>%;
}

.copyright {
	width: <?php echo $width_copyright;?>%;
	float: left;
}

body {
	font-family: '<?php echo $font_content ; ?>';
}


/** Dynamic Width **/
.wrapper-site {
max-width:<?php echo $width ; ?>;
}

.left_column {
width:<?php echo $width_left ; ?>%;
}

.right-module-position {
width:<?php echo $width_right ; ?>%;
}

/** Dynamic media queries **/
@media screen and (min-width: <?php echo (intval($width_threshold) + 1) . 'px';?>) {
	#main_component {
		width: 75%;
		float: left;
	}
}

@media screen and (max-width: <?php echo $width_threshold;?>) { // TODO LINEARIZATION THRESHOLD
	.wrapper-site {
		width: 95%;
	}
	.logo {
		float: none;
		clear: both;
		text-align: center;
		padding: 25px 0 5px 0;
	}
	#search {
		right: 0;
	}

	/** 	CONTENT 	**/
	.left_column,right_column {
		float: none;
		border: none;
		width: auto;
		clear: both;
		width: 100%;
	}
	.right_column {
		overflow: visible;
	}
	.moduletable {
		clear: both;
		border: 1px solid #e3e3e3;
		-moz-border-radius: 8px;
		-webkit-border-radius: 8px;
		-khtml-border-radius: 8px;
		border-radius: 8px;
		background: #f7f7f7 url(../images/white-02.png) 0 0 repeat;
	}
	div.pagination ul li {
		border: 1px solid #e3e3e3;
		-moz-border-radius: 8px;
		-webkit-border-radius: 8px;
		-khtml-border-radius: 8px;
		border-radius: 8px;
		background: #f7f7f7 url(../images/white-02.png) 0 0 repeat;
	}
	.module.nobg {
		 border: none;
		 background: none;
	}
	.slideshow .moduletable {
		border: none;
		background: none;
	}
	.submenu li {
		display: inline-block;
		margin: 0 1%;
		width: 48%;
	}
	.submenu li li {
		text-align: left;
		float: none;
		margin: 2px 2px;
		width: 100%;
	}
	.submenu li li a,.submenu li li span.separator {
		text-align: left;
		padding-top: 4px;
		padding-bottom: 3px;
	}
	.submenu li.active a,.submenu li.active span.separator,.submenu li.active a:hover,.submenu li.active span.separator:hover
		{
		margin-left: 0;
		width: auto;
	}
	.submenu li li a,.submenu li li span.separator,.submenu li.active li a,.submenu li.active li span.separator
		{
		background-position: 5px 10px;
	}

	/** 	FOOTER 		**/
	.bottom_menu li a,.bottom_menu li span.separator {
		padding: 5px 7px 4px 7px;
	}
	#search .inputbox {
		width: 72px;
	}
	.bottom_menu.with_social_icons {
		margin: 0 0 0 -12px;
	}
	
	.main_menu_box {
		float: left;
		width: 100%;
	}
	ul.menu li ul {
		top: <?php echo $switcher_menutype == 'dropdown' ? '100%' : 0;?>;
		width: 100%;
		margin-top: 0;
	}
	ul.menu li {
		text-align: center;
		float: left;
	}
	ul.menu li li {
		text-align: left;
		float: none;
		margin: 2px 0;
	}
	ul.menu li.active a,ul.menu li.active span.separator,ul.menu li.active a:hover,ul.menu li.active span.separator:hover
		{
		margin-left: 0;
		width: auto;
	}
	ul.menu li li a,ul.menu li li span.separator {
		width: auto;
	}
	
	.user1,.user2,.user3,.user4,.user5,.user6,.right-module-position {
		float: none;
		padding: 0;
		margin: 0;
		width: 100% !important;
		clear: both;
	}

	/* ++++++++++++++  blog  ++++++++++++++ */
	.cols-2 .column-1 {
		width: auto;
		float: none;
	}
	.cols-2 .column-2 {
		width: auto;
		float: none;
	}
	.cols-3 .column-1 {
		float: none;
		width: auto;
		padding: 0;
		margin-right: 0;
	}
	.cols-3 .column-2 {
		float: none;
		width: auto;
		width: auto;
		padding: 0;
	}
	.cols-3 .column-3 {
		float: none;
		width: auto;
		padding: 0;
	}
	.column-1,.column-2,.column-3 {
		padding: 10px 0px;
	}
	.column-2 {
		width: auto;
		margin-left: 0;
	}
	.column-3 {
		width: auto;
	}

	/** 			TOP MENU 		**/
	.top_menu .moduletable {
		margin: 0;
	}
	.top_menu li {
		margin: 10px 0 0 5px;
		height: auto;
		background-image: none;
		opacity: 1.0;
		-ms-filter: "prodig:DXImageTransform.Microsoft.Alpha(Opacity=100)";
		/* hack IE8 	*/
		filter: apha(opacity =           100); /* hack IE7		*/
	}
	.top_menu li:hover {
		opacity: 1;
		-ms-filter: "prodig:DXImageTransform.Microsoft.Alpha(Opacity=100)";
		/* hack IE8 	*/
		filter: apha(opacity =           100); /* hack IE7		*/
	}
	.top_menu li a {
		text-shadow: none;
		background-image: none;
		font-size: 80%;
		margin-right: 0px;
		padding: 0px 13px;
		height: auto;
	}
	.top_menu li:first-child a {
		border-left: none;
	}

	/** 		TRANSLATE  		**/
	#translate {
		position: relative;
		float: right;
		margin: 6px 0 0;
	}

	ul.menu>li {
		width: <?php echo $menuitem_width ; ?>%;
	}
	.top_menu ul.menu>li, .bottom_menu ul.menu>li {
		width: <?php echo $menuitem_width + $switcher_menutype_increment; ?>%;
	}
	ul.menu li ul ul {
		left: <?php echo $submenuitem_splacement ; ?>%;
		top: inherit;
	}
	ul.menu li a, ul.menu li span.separator {
		text-align: <?php echo $menutext_alignment ; ?>;
	}
	ul.menu li ul {
		position: <?php echo $submenu_open_mode ; ?> !important;
	}
	<?php if($transition_menu):?>
	ul.menu li ul {
		-webkit-transition: visibility 0.6s ease-in;
		-moz-transition: visibility 0.6s ease-in;
		-ms-transition: visibility 0.6s ease-in;
		-o-transition: visibility 0.6s ease-in;
		transition: visibility 0.6s ease-in;
		-webkit-transition: opacity 0.6s ease-in;
		-moz-transition: opacity 0.6s ease-in;
		-ms-transition: opacity 0.6s ease-in;
		-o-transition: opacity 0.6s ease-in;
		transition: opacity 0.6s ease-in;
		-webkit-transition: height 0.2s ease-in;
		-moz-transition: max-height 0.2s ease-in;
		-ms-transition: max-height 0.2s ease-in;
		-o-transition: max-height 0.2s ease-in;
		transition: max-height 0.2s ease-in;
	}
	ul.menu li:hover>ul,ul.menu li:focus>ul {
		-webkit-transition: height 0.8s ease-in;
		-moz-transition: max-height 0.8s ease-in;
		-ms-transition: max-height 0.8s ease-in;
		-o-transition: max-height 0.8s ease-in;
		transition: max-height 0.8s ease-in;
	}
	<?php endif;?>
	.moduletable, div.pagination ul li {
		border-color: <?php echo $colorsThemeMappings[$general_background][0];?>;
		background: transparent url(../images/<?php echo $colorsThemeMappings[$general_background][1];?>) 0 0 repeat;
	}
}