<?php 
/** 
 * @package RESPONSIVIZER::CPANEL::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?> 

<div class="accordion" id="rvzr_accordion_help">

	<div class="accordion-group">
	    <div class="accordion-heading">
			<div class="accordion-toggle" data-toggle="collapse" data-parent="#rvzr_accordion_help" href="#responsivizer_functionalities">
				<h4 class="accordion-title">
					<?php echo JText::_('COM_RESPONSIVIZER_HELP_FUNCTIONALITIES');?>				
				</h4>
	      	</div>
    	</div>
	    <div id="responsivizer_functionalities" class="accordion-body collapse">
	 		<div class="accordion-inner">
				<?php echo $this->loadTemplate('functionalities');?>
	 		</div>
	    </div>
 	</div>
 	
	<div class="accordion-group">
    	<div class="accordion-heading">
      		<div class="accordion-toggle" data-toggle="collapse" data-parent="#rvzr_accordion_help" href="#responsivizer_cpanel">
	      		<h4 class="accordion-title">
	      			<?php echo JText::_('COM_RESPONSIVIZER_HELP_SETTINGS');?>			
	      		</h4>
      		</div>
	    </div>
	    <div id="responsivizer_cpanel" class="accordion-body collapse">
			<div class="accordion-inner">
				 <?php echo $this->loadTemplate('settings');?>
      		</div>
    	</div>
	</div>
	
	<div class="accordion-group">
    	<div class="accordion-heading">
      		<div class="accordion-toggle" data-toggle="collapse" data-parent="#rvzr_accordion_help" href="#responsivizer_modules">
	      		<h4 class="accordion-title">
	      			<?php echo JText::_('COM_RESPONSIVIZER_HELP_MODULES_MANAGER');?>			
	      		</h4>
      		</div>
	    </div>
	    <div id="responsivizer_modules" class="accordion-body collapse">
			<div class="accordion-inner">
				 <?php echo $this->loadTemplate('modulesmanager');?>
      		</div>
    	</div>
	</div>
	
	<div class="accordion-group">
    	<div class="accordion-heading">
      		<div class="accordion-toggle" data-toggle="collapse" data-parent="#rvzr_accordion_help" href="#responsivizer_fileseditor">
	      		<h4 class="accordion-title">
	      			<?php echo JText::_('COM_RESPONSIVIZER_HELP_FILESEDITOR');?>			
	      		</h4>
      		</div>
	    </div>
	    <div id="responsivizer_fileseditor" class="accordion-body collapse">
			<div class="accordion-inner">
				 <?php echo $this->loadTemplate('fileseditor');?>
      		</div>
    	</div>
	</div>
	
	<div class="accordion-group">
    	<div class="accordion-heading">
      		<div class="accordion-toggle" data-toggle="collapse" data-parent="#rvzr_accordion_help" href="#responsivizer_offlinecache">
	      		<h4 class="accordion-title">
	      			<?php echo JText::_('COM_RESPONSIVIZER_HELP_OFFLINECACHE');?>			
	      		</h4>
      		</div>
	    </div>
	    <div id="responsivizer_offlinecache" class="accordion-body collapse">
			<div class="accordion-inner">
				 <?php echo $this->loadTemplate('offlinepages');?>
      		</div>
    	</div>
	</div>
	
	<div class="accordion-group">
    	<div class="accordion-heading">
      		<div class="accordion-toggle" data-toggle="collapse" data-parent="#rvzr_accordion_help" href="#responsivizer_emulator">
	      		<h4 class="accordion-title">
	      			<?php echo JText::_('COM_RESPONSIVIZER_HELP_EMULATOR');?>			
	      		</h4>
      		</div>
	    </div>
	    <div id="responsivizer_emulator" class="accordion-body collapse">
			<div class="accordion-inner">
				 <?php echo $this->loadTemplate('emulator');?>
      		</div>
    	</div>
	</div>
 	
</div>

<form name="adminForm" action="index.php">
	<input type="hidden" name="option" value="<?php echo JRequest::getCmd('option');?>"/>
	<input type="hidden" name="task" value=""/>
</form>