<?php 
/** 
 * @package RESPONSIVIZER::SOURCES::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?>
<img class='floatleft' title='functionalities' alt='extensionlogo' src='components/com_responsivizer/images/documentation/responsivizer-48x48.png'/>
<div>
	Responsivizer is a powerful and complete solution to make a <span class="bold">mobile version</span> of your site in few steps and in few minutes, without touch anything of
	your current desktop site. 
	<br/>
	You are struggling to have your site supporting mobile devices that today is a basic requirements worldwide? 
	Of course you could rebuild your site by scratch, create a completely new responsive site or create a new separate mobile site hosted on a dedicated domain.
	But all these options require a lot of money and time. 
	Responsivizer has born to solve this type of issue, as a intermediate solution that take best parts of both world.
	<br/>
	With Responsivizer you can change only the <span class="bold">presentation layer</span>, leaving untouched your current desktop site, and using a custom mobile version of your site only
	for <span class="bold">detected mobile devices</span>, moreover <span class="bold">without the need of an additional dedicated domain.</span>
	<br/>
	In this way your standard desktop users will continue to see your current site, but mobile users will be switched on the fly to get the mobile one.
	You will have a <span class="bold">site double, but all in one!</span>
	<br/>
	
	Responsivizer functionalities include:
	<ul>
		<li><span class="bold">Template switching</span> - Mobile detection and template switching</li>
		<li><span class="bold">Easy layout management</span> - Manage mobile layout with an easy interface</li>
		<li><span class="bold">Mobile elements exclusion and inclusion</span> - Exclude or include modules exactly as you need and where you need</li>
		<li><span class="bold">Adaptation to every Joomla! template</span> - Thanks to a powerful layout framework you can match every Joomla! template you are using with Responsivizer</li>
		<li><span class="bold">Offline cache</span> - Use powerful HTML5 offline cache to make your pages still available when connection is lost</li>
		<li><span class="bold">Device emulator</span> - A universal device emulator let you test how your site will be displayed on multiple devices</li>
		<li><span class="bold">Template files inline editor</span> - You can edit template files directly by Joomla! administration</li>
		<li><span class="bold">Image compression and optimization</span> - Speed up your site, save bandwidth using image compression and CSS/JS optmization</li>
		<li><span class="bold">Custom mobile home page</span> - Choose easily to redirect mobile users to a different specific home page on your site</li>
		<li><span class="bold">Advanced mobile slideshow</span> - Setup easily a fully customizable mobile slideshow that supports touch</li>
		<li><span class="bold">Advanced stats</span> - Get stats about elements published in your desktop and mobile site version</li>
		<li><span class="bold">Templates themes</span> - Use a set of predefined themes to change layout in a single click</li>
		<li><span class="bold">Easy customizable by settings</span> - A lot of settings will let you customize Responsivizer layout without touch CSS and source code</li>
		<li><span class="bold">Touch optimized</span> - Interface to use your site will be optimized for touch devices, to save space and use fingers</li>
		<li><span class="bold">Customizable mobile menu</span> - You can easily configure menu style to be used on mobile</li>
		<li><span class="bold">Desktop version switcher</span> - Mobile users can easily choose to switch to desktop version of your site</li>
		<li><span class="bold">Additional features</span> - Show social icons, manage Google Analytics and more, all is already included within Responsivizer</li>
	</ul>
</div>
